For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

Update Companies (batch)

Beta
PUT
https://api-b2b.bigcommerce.com/api/v3/io/companies/bulk
PUT
/api/v3/io/companies/bulk
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/bulk \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "companyId": "C12345",
> "companyName": "Acme Corporation",
> "companyPhone": "+1-555-123-4567",
> "companyEmail": "contact@acmecorp.com",
> "addressLine1": "123 Elm Street",
> "addressLine2": "Suite 400",
> "city": "Springfield",
> "state": "IL",
> "country": "USA",
> "zipCode": "62704",
> "extraFields": [
> {
> "fieldName": "Industry",
> "fieldValue": "Manufacturing"
> }
> ]
> }
>]'
1{
2 "code": 200,
3 "data": {
4 "companyId": "C12345"
5 },
6 "meta": {
7 "message": "SUCCESS"
8 }
9}
Batch update companies. * When the `independent company behavior` is enabled, you can assign a customer group to a company using the `customerGroupId` field. Once assigned, the customer group will be associated with all users within that company. If `customerGroupId` is set to 0, the customer group association will be removed from the company, and all users within the company will no longer have a group assigned. The `priceListAssign` field will not take effect; please configure the price list for the customer group directly in the BigCommerce control panel. * When the `independent company behavior` is turned off, the `customerGroupId` field will not take effect. You cannot change the association between B2B companies and BigCommerce customer groups. You will use the `priceListAssign` field to configure the price list assigned to the company.
Was this page helpful?
Previous

Bulk Create Companies

Next

Update Company's Catalog

Built with

Batch update companies.

  • When the independent company behavior is enabled, you can assign a customer group to a company using the customerGroupId field. Once assigned, the customer group will be associated with all users within that company. If customerGroupId is set to 0, the customer group association will be removed from the company, and all users within the company will no longer have a group assigned. The priceListAssign field will not take effect; please configure the price list for the customer group directly in the BigCommerce control panel.

  • When the independent company behavior is turned off, the customerGroupId field will not take effect. You cannot change the association between B2B companies and BigCommerce customer groups. You will use the priceListAssign field to configure the price list assigned to the company.

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Request

This endpoint expects a list of objects.
companyIdstringRequired>=1 character
companyNamestringOptional>=1 character
companyPhonestringOptional
companyEmailstringOptional>=1 character
addressLine1stringOptional
addressLine2stringOptional
citystringOptional>=1 character
statestringOptional>=1 character
countrystringOptional>=1 character
zipCodestringOptional
extraFieldslist of objectsOptional
priceListAssignlist of objectsOptional
customerGroupIdintegerOptional
BigCommerce Customer Group ID. Used to associate a BigCommerce Customer Group to a B2B company when the independent company behavior is enabled.

Response

Company Update Success
codedouble
dataobject
metaobject

Errors

400
Bad Request Error
404
Not Found Error
413
Content Too Large Error